Update EV battery capacity
curl --request PATCH \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evBatteryCapacity": 123
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity"
payload = { "evBatteryCapacity": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({evBatteryCapacity: 123})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'evBatteryCapacity' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity"
payload := strings.NewReader("{\n \"evBatteryCapacity\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"evBatteryCapacity\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"evBatteryCapacity\": 123\n}"
response = http.request(request)
puts response.read_body{
"vin": "0F0EAATTRBPC3CDBB",
"vendor": "BMW",
"model": "Zoe",
"variant": "Long Range",
"licensePlate": "W-53A",
"fuelType": "DIESEL",
"seats": 5,
"gear": "Manual",
"firstRegistrationDate": "2023-08-17",
"buildYear": 2023,
"evBatteryCapacity": 10.4,
"iceTankCapacity": 10.4,
"trackGeolocation": true,
"autoLogbookType": "Business"
}Vehicles
Update EV battery capacity
Update the EV battery capacity of the specified vehicle
PATCH
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
vehicle
/
capacity
Update EV battery capacity
curl --request PATCH \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evBatteryCapacity": 123
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity"
payload = { "evBatteryCapacity": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({evBatteryCapacity: 123})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'evBatteryCapacity' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity"
payload := strings.NewReader("{\n \"evBatteryCapacity\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"evBatteryCapacity\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/capacity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"evBatteryCapacity\": 123\n}"
response = http.request(request)
puts response.read_body{
"vin": "0F0EAATTRBPC3CDBB",
"vendor": "BMW",
"model": "Zoe",
"variant": "Long Range",
"licensePlate": "W-53A",
"fuelType": "DIESEL",
"seats": 5,
"gear": "Manual",
"firstRegistrationDate": "2023-08-17",
"buildYear": 2023,
"evBatteryCapacity": 10.4,
"iceTankCapacity": 10.4,
"trackGeolocation": true,
"autoLogbookType": "Business"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the asset provider the vehicle belongs to
Required string length:
2The three-character code of the asset provider the vehicle belongs to
Required string length:
3The id of the vehicle
Body
application/json
New EV battery capacity in kWh
EV battery capacity in kWh
Response
Updated vehicle information
Example:
"0F0EAATTRBPC3CDBB"
Example:
"BMW"
Example:
"Zoe"
Example:
"Long Range"
Example:
"W-53A"
Available options:
DIESEL, REGULAR, PLUS, ELECTRIC, HYBRID, PLUGINHYBRID Example:
5
Available options:
Manual, Automatic, SemiAutomatic Example:
"2023-08-17"
Example:
2023
Capacity of the EV battery in kWh
Example:
10.4
Capacity of the ICE fuel tank in liters
Example:
10.4
Describes whether geolocation tracking is active or not
Default logbook entry type for new entries when auto-logbook is enabled. Null means auto-logbook is off
Available options:
Business, Private 
